#!/bin/sh

# Define internationalization (i18n)

./tools/ipf/init_potfiles.sh

gettextize --no-changelog

# Beware of acknowledgment!

sed -i 's/po\/Makefile.in \(po\/Makefile.in *\)*/po\/Makefile.in /' configure.ac
sed -i 's/EXTRA_DIST.*$/EXTRA_DIST = config.rpath  ChangeLog/' Makefile.am

rm po/Makevars.template
cp /usr/share/gettext/gettext.h .

# Create a timestamp mark
echo "timestamp" > stamp-h.in

# As some Makefiles expect an external fragment built dynamically, ensure these files exist
touch src/arch/arm/v7/opcodes/gencode.mk
touch plugins/dalvik/opcodes/gencode.mk

# Run the GNU tools
libtoolize --force
aclocal -Im4
autoheader
automake --add-missing --copy
autoconf

# Define the way the program will be built
#./configure --prefix=/dev/shm/chrysalide.git --enable-silent-rules --enable-debug CC=colorgcc CFLAGS="-O0 -ggdb"
#./configure --prefix=/usr/local --enable-silent-rules
